Go to the latest version of this document.

# ``twisted`.`cred`.`checkers``

module documentation
(source)

Basic credential checkers

Interface | `ICredentialsChecker` | An object that can check sub-interfaces of `ICredentials`.
Class | `AllowAnonymousAccess` | A credentials checker that unconditionally grants anonymous access.
Class | `FilePasswordDB` | A file-based, text-based username/password database.
Class | `InMemoryUsernamePasswordDatabaseDontUse` | An extremely simple credentials checker.
Constant | `ANONYMOUS` | An empty tuple used to represent the anonymous avatar ID.

ANONYMOUS: `tuple[]` = (source)

An empty tuple used to represent the anonymous avatar ID.

Value

    ()